# Configurable Node Generation

Map generation tends to be pretty limited in Kaycee's Mod, you're mainly stuck simply extended map size through mods like [ExtendedMapsKCM](https://inscryption.thunderstore.io/package/Lily/ExtendedMapsKCM/) or adding extra regions. This mod is an attempt to alleviate some of those limitations, mainly by allowing you to break free of the pattern of triplets that plagues vanilla gameplay, extending that tuple however much you want and defining yourself what kind of nodes you want to add into those extra rows.

## Requirements

[BepInEx](https://inscryption.thunderstore.io/package/BepInEx/BepInExPack_Inscryption/)

[API](https://inscryption.thunderstore.io/package/API_dev/API/)

It's not strictly necessary, but I would suggest getting [Configuration Manager](https://github.com/BepInEx/BepInEx.ConfigurationManager/releases/tag/v17.0). It can be installed by just extracting it into your plugins folder.

## Compatibility

This mod overrides the entire `CreateNode` method in the `MapGenerator` class via Postfix, so it is unlikely to work as intended with other mods that edit the `__result` of that method.